<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <!--廚房單-->

    <!-- 頭單-->
    <TextView
        android:id="@+id/tv_kitchen_print_first_order"
        style="@style/Print_kitchen_table_number_text_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:text="頭單"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <LinearLayout
        android:id="@+id/layout_time_and_order_number"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="bottom"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_print_first_order">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical">

            <!--   台號-->
            <TextView
                android:id="@+id/tv_kitchen_print_table_number"
                style="@style/Print_kitchen_table_number_text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="外賣19"
                android:textSize="@dimen/sp_42"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_print_first_order" />

            <TextView
                android:id="@+id/tv_food_time"
                style="@style/Print_twenty_two_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="visible"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_print_table_number"
                tools:text="盡快送達" />
            <!--落單時間-->

            <TextView
                android:id="@+id/tv_order_time"
                style="@style/Print_twenty_two_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="落單：01-04 19:31" />

            <!--開台時間-->
            <TextView
                android:id="@+id/tv_opening_time"
                style="@style/Print_twenty_two_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="開台：01-20 12:00" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_people"
                    style="@style/Print_twenty_four_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:visibility="visible"
                    tools:text="人數:0" />

                <View
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/tv_kitchen_location"
                    style="@style/Print_twenty_four_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:visibility="visible"
                    tools:text="廚房：K1" />
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:layout_marginLeft="@dimen/dp_1"
            android:layout_weight="1"
            android:gravity="right"
            android:orientation="vertical">

            <!--預留-->
            <TextView
                android:id="@+id/tv_order_reserved"
                style="@style/Print_kitchen_table_number_text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:visibility="gone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_print_first_order"
                tools:text="預存" />
            <!--單號-->
            <LinearLayout
                android:id="@+id/ll_order"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_order_num_text"
                    style="@style/Print_twenty_two_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="單號:" />

                <TextView
                    android:id="@+id/tv_order_num"
                    style="@style/Print_thirty_eight_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    tools:text="AE00" />
            </LinearLayout>

            <!--自取取餐碼-->
            <TextView
                android:id="@+id/tv_take_code"
                style="@style/Print_twenty_four_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="visible"
                tools:text="取餐碼：12" />

            <TextView
                android:id="@+id/tv_waiter"
                style="@style/Print_twenty_four_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="服務員：GSPOS" />
        </LinearLayout>
    </LinearLayout>


    <TextView
        android:id="@+id/line_kitchen_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:text="————————————————————————————————————————————"
        android:textSize="@dimen/sp_18"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_time_and_order_number" />

    <LinearLayout
        android:id="@+id/ll_kitchen_food"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:orientation="vertical"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line_kitchen_info" />

    <TextView
        android:id="@+id/tv_kitchen_food_end_line"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:maxLines="1"
        android:text="————————————————————————————————————————————"
        android:textSize="@dimen/sp_18"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_kitchen_food" />

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_20"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_kitchen_food_end_line">

        <TextView
            android:id="@+id/tv_prj_page_index"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:textSize="@dimen/sp_28"
            tools:text="1/2" />

        <TextView
            android:id="@+id/tv_kitchen_print_table_number_bottom"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="外賣19"
            android:textSize="@dimen/sp_42"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_kitchen_print_quantity"
            style="@style/Print_kitchen_table_number_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:textSize="@dimen/sp_28"
            tools:text="統計數量" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>